---
docker_kernel_min_version: '3.10'

# https://download.docker.com/linux/debian/
docker_versioned_pkg:
  'latest': docker-ce
  '1.11': docker-engine=1.11.2-0~{{ ansible_distribution_release|lower }}
  '1.12': docker-engine=1.12.6-0~debian-{{ ansible_distribution_release|lower }}
  '1.13': docker-engine=1.13.1-0~debian-{{ ansible_distribution_release|lower }}
  '17.03': docker-ce=17.03.2~ce-0~debian-{{ ansible_distribution_release|lower }}
  'stable': docker-ce=17.03.2~ce-0~debian-{{ ansible_distribution_release|lower }}
  'edge': docker-ce=17.12.1~ce-0~debian-{{ ansible_distribution_release|lower }}

docker_package_info:
  pkg_mgr: apt
  pkgs:
    - name: "{{ docker_versioned_pkg[docker_version | string] }}"
      force: yes

docker_repo_key_info:
  pkg_key: apt_key
  url: '{{ docker_debian_repo_gpgkey }}'
  repo_keys:
    - 9DC858229FC7DD38854AE2D88D81803C0EBFCD88

docker_repo_info:
  pkg_repo: apt_repository
  repos:
    - >
       deb {{ docker_debian_repo_base_url }}
       {{ ansible_distribution_release|lower }}
       stable
